aboutsummaryrefslogtreecommitdiffstats
path: root/testing
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2011-07-06 06:07:11 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2011-07-06 06:07:11 +0000
commite825eaca66b72e95259217cc34078e1dd732e300 (patch)
tree43afc4ea9a9e6240c5b5e5f2b09ffdaae30d311a /testing
parent8bb1c720dc789bc488cdef0ae9704a03deb7e906 (diff)
parent459ff4d6b71c5e70d23250578342abde00b570cd (diff)
downloadaports-e825eaca66b72e95259217cc34078e1dd732e300.tar.gz
aports-e825eaca66b72e95259217cc34078e1dd732e300.tar.bz2
aports-e825eaca66b72e95259217cc34078e1dd732e300.tar.xz
Merge git://dev.alpinelinux.org/aports
Conflicts: testing/calibre/APKBUILD
Diffstat (limited to 'testing')
-rw-r--r--testing/agg/APKBUILD3
-rw-r--r--testing/calibre/APKBUILD25
-rw-r--r--testing/dnsenum/APKBUILD28
-rw-r--r--testing/eeze/APKBUILD4
-rw-r--r--testing/fatback/APKBUILD32
-rw-r--r--testing/freeradius-client/APKBUILD5
-rw-r--r--testing/freeswitch-sounds-es-mx-maria-44100/APKBUILD (renamed from testing/freeswitch-sounds-es-mx-maria/APKBUILD)0
-rw-r--r--testing/gross-svn/APKBUILD35
-rw-r--r--testing/gross-svn/gross-svn.confd6
-rw-r--r--testing/gross-svn/gross-svn.initd36
-rw-r--r--testing/gross-svn/gross-svn.post-install2
-rw-r--r--testing/gross-svn/gross-svn.pre-install3
-rw-r--r--testing/inotify-tools/APKBUILD5
-rw-r--r--testing/libnetfilter_log/APKBUILD9
-rw-r--r--testing/libwmf/APKBUILD5
-rw-r--r--testing/mr/APKBUILD45
-rw-r--r--testing/netsniff-ng/APKBUILD41
-rw-r--r--testing/netsniff-ng/netsniff-ng-unkown.patch14
-rw-r--r--testing/perl-local-lib/APKBUILD37
-rw-r--r--testing/perl-net-netmask/APKBUILD32
-rw-r--r--testing/perl-xml-writer/APKBUILD32
-rw-r--r--testing/py-dnspython/APKBUILD22
-rw-r--r--testing/scanssh/APKBUILD33
23 files changed, 354 insertions, 100 deletions
diff --git a/testing/agg/APKBUILD b/testing/agg/APKBUILD
index 5ec08625d7..9fb8fa2bfe 100644
--- a/testing/agg/APKBUILD
+++ b/testing/agg/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Elizabeth Jennifer Myers <elizabeth@sporksirc.net>
pkgname=agg
pkgver=2.5
-pkgrel=0
+pkgrel=1
pkgdesc="A Rendering Engine for C++"
url="http://antigrain.org/"
license="GPL"
@@ -35,6 +35,7 @@ build() {
package() {
cd "$_builddir"
make DESTDIR="${pkgdir}" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
}
md5sums="0229a488bc47be10a2fee6cf0b2febd6 agg-2.5.tar.gz
diff --git a/testing/calibre/APKBUILD b/testing/calibre/APKBUILD
index 2bfe885c90..fcf833b2ec 100644
--- a/testing/calibre/APKBUILD
+++ b/testing/calibre/APKBUILD
@@ -1,14 +1,18 @@
# Contributor: Francesco Colista <francesco.colista@gmail.com>
# Maintainer:
pkgname=calibre
-pkgver=0.8.8
-pkgrel=0
+pkgver=0.8.7
+pkgrel=3
pkgdesc="Ebook management application"
url="http://calibre-ebook.com/"
arch="all"
license="GPL3"
depends=
-depends_dev="python-dev imagemagick-dev py-qt py-sip py-imaging libusb-dev poppler-dev poppler-qt4-dev py-dbus py-pycountry py-lxml icu-dev desktop-file-utils py-sqlite sqlite-dev chmlib-dev podofo-dev py-sip-dev py-dateutil py-cherrypy py-beautifulsoup py-mechanize libwmf xdg-utils"
+depends_dev="python-dev imagemagick-dev py-qt py-sip py-imaging libusb-dev
+ poppler-dev poppler-qt4-dev py-dbus py-pycountry py-lxml icu-dev
+ desktop-file-utils py-sqlite sqlite-dev chmlib-dev podofo-dev
+ py-sip-dev py-dateutil py-cherrypy py-beautifulsoup py-mechanize
+ py-dnspython shared-mime-info unrar xdg-utils"
makedepends="$depends_dev"
install=""
subpackages=""
@@ -28,10 +32,19 @@ build() {
}
package() {
cd "$_builddir"
+ # More on desktop integration (e.g. enforce arch defaults)
+ sed -i -e "/self.create_uninstaller()/,/os.rmdir(config_dir)/d" \
+ -e "s|self.opts.staging_sharedir, 'man/man1'|self.opts.staging_root, 'usr/share/man/man1'|" \
+ -e "s|manpath, prog+'.1'+__appname__+'.bz2'|manpath, prog+'.1'+'.bz2'|" \
+ -e "s|old_udev = '/etc|old_udev = '${pkgdir}/etc|" \
+ -e "s/^Name=calibre/Name=Calibre/g" src/calibre/linux.py
+ # Create a dir for ebook repository
+ mkdir -p "${pkgdir}/var/lib/calibre"
# Fix the environment module location
sed -i -e "s|(prefix=.*)|(prefix='$pkgdir/usr')|g" setup/install.py
install -d "${pkgdir}/usr/lib/python2.7/site-packages"
python setup.py install --root="${pkgdir}" --prefix=/usr \
+ --no-postinstall \
--staging-bindir="${pkgdir}/usr/bin" \
--staging-libdir="${pkgdir}/usr/lib" \
--staging-sharedir="${pkgdir}/usr/share"
@@ -40,6 +53,6 @@ package() {
install -m644 -D ../$pkgname.confd \
"$pkgdir"/etc/conf.d/$pkgname || return 1
}
-md5sums="dab191175d370920b366bcd8c0dad917 calibre-0.8.8.tar.gz
-76d36815abf4c64bb54366e70a68305c calibre.confd
-d2d1dd5d6c6faf80dd94c75288451fcd calibre.initd"
+md5sums="d7132ec75f5e742e04e196fc8e2c0884 calibre-0.8.7.tar.gz
+a53086675b33859da1d18cc21daa090b calibre.confd
+d245fe44b51b48de128290de8485c92e calibre.initd"
diff --git a/testing/dnsenum/APKBUILD b/testing/dnsenum/APKBUILD
new file mode 100644
index 0000000000..1d9f1b04d4
--- /dev/null
+++ b/testing/dnsenum/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=dnsenum
+pkgver=1.2.2
+pkgrel=0
+pkgdesc="A tool to enumerate DNS info about domains"
+url="http://code.google.com/p/dnsenum/"
+arch="noarch"
+license="GPL2+"
+depends="perl-net-ip perl-net-dns perl-net-netmask perl-xml-writer"
+depends_dev=""
+makedepends=""
+install=""
+subpackages=""
+source="http://$pkgname.googlecode.com/files/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"
+
+build() {
+ return 0
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 "$pkgname".pl "$pkgdir"/usr/bin/$pkgname || return 1
+}
+
+md5sums="d8806daddff880dcadf90af79720e7fe dnsenum-1.2.2.tar.gz"
diff --git a/testing/eeze/APKBUILD b/testing/eeze/APKBUILD
index 8f59b3f1b7..3eb881f7bc 100644
--- a/testing/eeze/APKBUILD
+++ b/testing/eeze/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=eeze
pkgver=1.0.1
-pkgrel=1
+pkgrel=2
pkgdesc="Enlightenment's device library"
url="http://trac.enlightenment.org/e/wiki/Eeze"
arch="all"
@@ -39,7 +39,7 @@ build() {
package() {
cd "$_builddir"
make DESTDIR="$pkgdir" install || return 1
- "$pkgdir"/usr/lib/*.la
+ rm "$pkgdir"/usr/lib/*.la
}
md5sums="e36b5e8ed444c8d13d27fd82d5f71659 eeze-1.0.1.tar.gz"
diff --git a/testing/fatback/APKBUILD b/testing/fatback/APKBUILD
new file mode 100644
index 0000000000..eec7e2f78f
--- /dev/null
+++ b/testing/fatback/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=fatback
+pkgver=1.3
+pkgrel=0
+pkgdesc="A tool for recovering files from FAT file systems"
+url="http://fatback.sourceforge.net/"
+arch="all"
+license="GPL2"
+depends=""
+makedepends="flex"
+install=""
+subpackages="$pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --infodir=/usr/share/info \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="4f1beb13670a7eff5b66cff84e5fd42a fatback-1.3.tar.gz"
diff --git a/testing/freeradius-client/APKBUILD b/testing/freeradius-client/APKBUILD
index c0f0cca2d2..01ff2e25aa 100644
--- a/testing/freeradius-client/APKBUILD
+++ b/testing/freeradius-client/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=freeradius-client
pkgver=1.1.6
-pkgrel=0
+pkgrel=1
pkgdesc="FreeRADIUS Client Software"
url="http://wiki.freeradius.org/Radiusclient"
arch="all"
@@ -29,7 +29,8 @@ build() {
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
}
md5sums="2e46564e450ae13aedb70dc133b158ac freeradius-client-1.1.6.tar.bz2"
diff --git a/testing/freeswitch-sounds-es-mx-maria/APKBUILD b/testing/freeswitch-sounds-es-mx-maria-44100/APKBUILD
index 7e5afb1189..7e5afb1189 100644
--- a/testing/freeswitch-sounds-es-mx-maria/APKBUILD
+++ b/testing/freeswitch-sounds-es-mx-maria-44100/APKBUILD
diff --git a/testing/gross-svn/APKBUILD b/testing/gross-svn/APKBUILD
deleted file mode 100644
index 4d76fc9de4..0000000000
--- a/testing/gross-svn/APKBUILD
+++ /dev/null
@@ -1,35 +0,0 @@
-# Contributor: Carlo Landmeter <clandmeter@gmail.com>
-# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
-pkgname=gross-svn
-pkgver=511
-pkgrel=2
-pkgdesc="Greylisting of suspicious sources"
-url="http://code.google.com/p/gross/"
-arch="all"
-license="BSD"
-depends=
-makedepends="c-ares-dev"
-install="$pkgname.post-install $pkgname.pre-install"
-subpackages="$pkgname-doc $pkgname-dev"
-source="http://alpine.nethq.org/clandmeter/src/${pkgname}-${pkgver}.tar.bz2
-$pkgname.initd
-$pkgname.confd"
-
-build() {
- cd "$srcdir/$pkgname-$pkgver"
-
- ./configure --prefix=/usr \
- --sysconfdir=/etc \
- --mandir=/usr/share/man \
- --infodir=/usr/share/info
- make || return 1
- make -j1 DESTDIR="$pkgdir" install
-
- install -dD "$pkgdir"/var/run/gross
- install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/gross
- install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/gross
-}
-
-md5sums="f2488ced5b47f359c3a1127d9ba3453c gross-svn-511.tar.bz2
-e8d7c8ce4760f8443ab13c3a4af80db0 gross-svn.initd
-5ca1c6e51c3243236e6564480b20279b gross-svn.confd"
diff --git a/testing/gross-svn/gross-svn.confd b/testing/gross-svn/gross-svn.confd
deleted file mode 100644
index 646e12f9d7..0000000000
--- a/testing/gross-svn/gross-svn.confd
+++ /dev/null
@@ -1,6 +0,0 @@
-#
-# Specify daemon $OPTS here.
-#
-
-OPTS=""
-
diff --git a/testing/gross-svn/gross-svn.initd b/testing/gross-svn/gross-svn.initd
deleted file mode 100644
index 00ee33e560..0000000000
--- a/testing/gross-svn/gross-svn.initd
+++ /dev/null
@@ -1,36 +0,0 @@
-#!/sbin/runscript
-
-NAME="grossd"
-DAEMON="/usr/sbin/$NAME"
-USER="gross"
-GROUP="gross"
-
-depend() {
- need net
- after firewall
-}
-
-check_config() {
- if [ ! -f /var/db/gross/state ] ; then
- einfo "Generating Gross database..."
- install -dD -o${USER} -g${GROUP} /var/db/gross
- ${DAEMON} -Cu ${USER} > /dev/null
- fi
-}
-
-start() {
- check_config || return 1
- ebegin "Starting ${NAME}"
- start-stop-daemon --start --quiet --background \
- --exec ${DAEMON} -- \
- -p /var/run/gross/grossd.pid \
- -u ${USER} ${OPTS}
- eend $?
-}
-
-stop() {
- ebegin "Stopping ${NAME}"
- start-stop-daemon --stop --pidfile /var/run/gross/grossd.pid
- eend $?
-}
-
diff --git a/testing/gross-svn/gross-svn.post-install b/testing/gross-svn/gross-svn.post-install
deleted file mode 100644
index df06670a41..0000000000
--- a/testing/gross-svn/gross-svn.post-install
+++ /dev/null
@@ -1,2 +0,0 @@
-#!/bin/sh
-chown -R gross:gross /var/run/gross
diff --git a/testing/gross-svn/gross-svn.pre-install b/testing/gross-svn/gross-svn.pre-install
deleted file mode 100644
index c3844d7a5e..0000000000
--- a/testing/gross-svn/gross-svn.pre-install
+++ /dev/null
@@ -1,3 +0,0 @@
-#!/bin/sh
-adduser -H -s /bin/false -D gross 2>/dev/null
-exit 0
diff --git a/testing/inotify-tools/APKBUILD b/testing/inotify-tools/APKBUILD
index a664b55d02..82bb0baabb 100644
--- a/testing/inotify-tools/APKBUILD
+++ b/testing/inotify-tools/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Leonardo Arena <rnalrd@gmail.com>
pkgname="inotify-tools"
pkgver=3.14
-pkgrel=0
+pkgrel=1
pkgdesc="C library and CLI tools providing a simple interface to inotify"
url="http://github.com/rvoicilas/inotify-tools"
arch="all"
@@ -32,7 +32,8 @@ build() {
package() {
cd "$_builddir"
- make DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
}
md5sums="b43d95a0fa8c45f8bab3aec9672cf30c inotify-tools-3.14.tar.gz"
diff --git a/testing/libnetfilter_log/APKBUILD b/testing/libnetfilter_log/APKBUILD
index 5daf58885f..fed9886f48 100644
--- a/testing/libnetfilter_log/APKBUILD
+++ b/testing/libnetfilter_log/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Carlo Landmeter <clandmeter@gmail.com>
pkgname=libnetfilter_log
pkgver=0.0.16
-pkgrel=0
+pkgrel=1
pkgdesc="interface to packets that have been logged by the kernel packet filter"
url="http://www.netfilter.org/projects/libnetfilter_log/"
arch="all"
@@ -14,14 +14,17 @@ source="http://www.netfilter.org/projects/libnetfilter_log/files/libnetfilter_lo
build() {
cd "$srcdir/$pkgname-$pkgver"
-
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info
make || return 1
- make DESTDIR="$pkgdir" install
+}
+package() {
+ cd "$srcdir/$pkgname-$pkgver"
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
}
md5sums="4ffcf46dad9d0c81f6611dd185639694 libnetfilter_log-0.0.16.tar.bz2"
diff --git a/testing/libwmf/APKBUILD b/testing/libwmf/APKBUILD
index 95962efdf6..ddfc4f16e7 100644
--- a/testing/libwmf/APKBUILD
+++ b/testing/libwmf/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=libwmf
pkgver=0.2.8.4
-pkgrel=1
+pkgrel=2
pkgdesc="A library for reading vector images in Microsoft's native Windows Metafile Format (WMF)."
url="http://wvware.sourceforge.net/libwmf.html"
arch="all"
@@ -30,7 +30,8 @@ build() {
package() {
cd "$_builddir"
- make -j1 DESTDIR="$pkgdir" install
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/*.la || return 1
}
md5sums="d1177739bf1ceb07f57421f0cee191e0 libwmf-0.2.8.4.tar.gz
33d3c07a1be9f99fd88de220930c5550 libpng14.patch"
diff --git a/testing/mr/APKBUILD b/testing/mr/APKBUILD
new file mode 100644
index 0000000000..393d13e83b
--- /dev/null
+++ b/testing/mr/APKBUILD
@@ -0,0 +1,45 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=mr
+pkgver=1.04
+pkgrel=0
+pkgdesc="A multiple repository management tool"
+url="http://kitenet.net/~joey/code/mr/"
+arch="noarch"
+license="GPL2+"
+depends="perl"
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://ftp.de.debian.org/debian/pool/main/m/mr/"$pkgname"_"$pkgver".tar.gz"
+
+_builddir="$srcdir"/$pkgname
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ install -Dm755 $pkgname "$pkgdir"/usr/bin/$pkgname || return 1
+ cd "$_builddir"/lib
+ for file in git-fake-bare git-svn unison; do
+ install -Dpm 0644 $file \
+ "$pkgdir"/usr/share/$pkgname/$file || return 1
+ done
+}
+
+doc() {
+ cd "$_builddir"
+ mkdir -p "$subpkgdir"/usr/share/man || return 1
+ mv "$_builddir"/*.1 "$subpkgdir"/usr/share/man/ || return 1
+ # Sample configuration files
+ for file in mrconfig mrconfig.complex; do
+ install -Dpm 0644 $file \
+ "$subpkgdir"/usr/share/doc/$pkgname/$file || return 1
+ done
+}
+
+md5sums="9ddd9e5b3a90bcb08ac773ddb1cea512 mr_1.04.tar.gz"
diff --git a/testing/netsniff-ng/APKBUILD b/testing/netsniff-ng/APKBUILD
new file mode 100644
index 0000000000..53f4be8b31
--- /dev/null
+++ b/testing/netsniff-ng/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=netsniff-ng
+pkgver=0.5.5.0
+pkgrel=0
+pkgdesc="A network analyzer and networking toolkit"
+url="http://netsniff-ng.org/"
+arch="all"
+license="GPL2"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://www.netsniff-ng.org/pub/netsniff-ng/$pkgname-$pkgver.tar.gz
+ netsniff-ng-unkown.patch"
+
+_builddir="$srcdir"/$pkgname
+
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ make -C src || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install -C src || return 1
+}
+
+md5sums="bd303bdeb7244bb1e4e966b94f7671c4 netsniff-ng-0.5.5.0.tar.gz
+e3593dead3b91eb42cef984bae75320b netsniff-ng-unkown.patch"
diff --git a/testing/netsniff-ng/netsniff-ng-unkown.patch b/testing/netsniff-ng/netsniff-ng-unkown.patch
new file mode 100644
index 0000000000..14c1ae998d
--- /dev/null
+++ b/testing/netsniff-ng/netsniff-ng-unkown.patch
@@ -0,0 +1,14 @@
+--- netsniff-ng/src/Makefile.orig
++++ netsniff-ng/src/Makefile
+@@ -39,9 +39,9 @@
+ @install -D $(target) $(DESTDIR)/$(BINDIR)/$(target)
+ @install -d $(DESTDIR)/$(ETCDIR)/$(target)/rules
+ @cp -r rules/*.bpf $(DESTDIR)/$(ETCDIR)/$(target)/rules/
+- @cat $(MANDIR_LOCAL)/$(target).8 | gzip --best > \
++ @cat $(MANDIR_LOCAL)/$(target).8 | gzip > \
+ $(MANDIR_LOCAL)/$(target).8.gz
+- @install -D $(MANDIR_LOCAL)/$(target).8.gz \
++ @install -Dm644 $(MANDIR_LOCAL)/$(target).8.gz \
+ $(DESTDIR)/$(MANDIR)/$(target).8.gz
+
+ uninstall:
diff --git a/testing/perl-local-lib/APKBUILD b/testing/perl-local-lib/APKBUILD
new file mode 100644
index 0000000000..96b27e2794
--- /dev/null
+++ b/testing/perl-local-lib/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+# Maintainer: Kiyoshi Aman <kiyoshi.aman@gmail.com>
+pkgname=perl-local-lib
+_pkgreal=local-lib
+pkgver=1.008004
+pkgrel=0
+pkgdesc="create and use a local lib/ for perl modules with PERL5LIB"
+url="http://search.cpan.org/dist/local-lib/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/A/AP/APEIRON/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="6244fa9d77e818594acbaf572aece326 local-lib-1.008004.tar.gz"
diff --git a/testing/perl-net-netmask/APKBUILD b/testing/perl-net-netmask/APKBUILD
new file mode 100644
index 0000000000..ca94794389
--- /dev/null
+++ b/testing/perl-net-netmask/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=perl-net-netmask
+_realname=Net-Netmask
+pkgver=1.9016
+pkgrel=0
+pkgdesc="Perl extension to parse, manipulate, and lookup IP network blocks"
+url="http://search.cpan.org/~muir/Net-Netmask-1.9016/"
+arch="noarch"
+license="PerlArtistic"
+depends="perl"
+depends_dev=""
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MU/MUIR/modules/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="174606b568f8545b8968aecf50ba7a37 Net-Netmask-1.9016.tar.gz"
diff --git a/testing/perl-xml-writer/APKBUILD b/testing/perl-xml-writer/APKBUILD
new file mode 100644
index 0000000000..9c30a29293
--- /dev/null
+++ b/testing/perl-xml-writer/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=perl-xml-writer
+_realname=XML-Writer
+pkgver=0.612
+pkgrel=0
+pkgdesc="Perl extension for writing XML documents"
+url="http://search.cpan.org/~josephw/XML-Writer-0.612/"
+arch="noarch"
+license="PerlArtistic"
+depends="perl"
+depends_dev=""
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JO/JOSEPHW/$_realname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="2f3c6c282f9f79d33639c55bf7afa4b0 XML-Writer-0.612.tar.gz"
diff --git a/testing/py-dnspython/APKBUILD b/testing/py-dnspython/APKBUILD
new file mode 100644
index 0000000000..0678ef8bfc
--- /dev/null
+++ b/testing/py-dnspython/APKBUILD
@@ -0,0 +1,22 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer:
+pkgname=py-dnspython
+_pkgname=dnspython
+pkgver=1.9.2
+pkgrel=0
+pkgdesc="A DNS toolkit for Python"
+url="http://www.dnspython.org"
+arch="noarch"
+license="BSD"
+depends=
+depends_dev="python-dev"
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://www.dnspython.org/kits/$pkgver/$_pkgname-$pkgver.tar.gz"
+_builddir="$srcdir"/$_pkgname-$pkgver
+package() {
+ cd "$_builddir"
+ python setup.py install --root=$pkgdir
+}
+md5sums="26426043e619d34b47c7c30dc0a02f1c dnspython-1.9.2.tar.gz"
diff --git a/testing/scanssh/APKBUILD b/testing/scanssh/APKBUILD
new file mode 100644
index 0000000000..4b91dfb426
--- /dev/null
+++ b/testing/scanssh/APKBUILD
@@ -0,0 +1,33 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer:
+pkgname=scanssh
+pkgver=2.1
+pkgrel=0
+pkgdesc="Fast SSH server and open proxy scanner"
+url="http://monkey.org/~provos/scanssh/"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="libpcap-dev libevent-dev libdnet-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://monkey.org/~provos/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --mandir=/usr/share/man \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="9fab4253b56b2d15367d4872b370cdcb scanssh-2.1.tar.gz"